Нужно ли устанавливать Python или он уже установлен в Ubuntu 14.04LTS?

9

Мне нужно это для изучения языка Python. Пожалуйста помоги!     

задан Mervin Jacob 30.05.2015 в 07:40
источник

3 ответа

13

По умолчанию установлены как python2 , так и python3 .

Как уже упоминалось, вы можете проверить свою версию:

python -V

(ум капитала) или

python --version

или

apt-cache policy python

Однако

Показывается только версия python2 , тогда как 14.04 , python3 также установлено. Чтобы просмотреть версию python3 , просто замените все вхождения python в приведенных выше командах на python3

Примечание

Если вы начинаете кодирование, также помните, что используя:

python <script>

сделает python 2 запустит код и

python3 <script>

сделает python 3 запустит его, и (если скрипт выполним), shebang

#!/usr/bin/env python

запустит его в python 2 и

#!/usr/bin/env python3

запустит его в python 3

Использование Idle

Как ответ на то, что вы просили в комментарии: Итак, это «терминал», где мы делаем кодирование, правильно!?

Самый удобный способ - использовать Idle (из репозиториев). Затем вы можете протестировать код с помощью F5 или, если необходимо, с терминала. Преимущество состоит в том, что отступы предлагаются автоматически (a.o.)

Помните, что вам нужно использовать другую версию Idle для python 2 и 3.

    
ответ дан Jacob Vlijm 30.05.2015 в 08:39
источник
4

Проверьте версию python с помощью

python --version

Также обратите внимание, что между python 2 и 3 существуют некоторые серьезные различия. Ссылка

    
ответ дан Ben 30.05.2015 в 07:46
3

Python устанавливается по умолчанию в Ubuntu, но для его проверки:

Запустите эту команду

$ apt-cache policy python


python:
  Installed: 2.7.3-0ubuntu2.2
  Candidate: 2.7.3-0ubuntu2.2
  Version table:
 *** 2.7.3-0ubuntu2.2 0
        500 http://us.archive.ubuntu.com/ubuntu/ precise-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     2.7.3-0ubuntu2 0
        500 http://us.archive.ubuntu.com/ubuntu/ precise/main amd64 Packages

Благодаря @JacobVlijm обратите внимание, если вы используете Ubuntu > 12.10, то вместо этого следует использовать apt-cache policy python3

Как вы видите в разделе pyton, вы можете увидеть Installed: 2.7.3-0ubuntu2.2 . Это означает, что он установлен, а версия 2.7

Также candidate показывает последнюю версию, доступную в вашем программном канале, поэтому вы можете обновить свою версию, если хотите.

    
ответ дан Maythux 30.05.2015 в 07:55